org.w3c.dom.validation

## Class ExceptionVAL

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.w3c.dom.validation.ExceptionVAL

All Implemented Interfaces:
  java.io.Serializable

    public class ExceptionVAL
    extends java.lang.RuntimeException

Some Validation operations may throw an `ExceptionVAL` as described in their descriptions.

See also the Document Object Model (DOM) Level 3 Validation Specification.

See Also:
  Serialized Form

### Field Summary

Fields
`short` `code`
`static short` `NO_SCHEMA_AVAILABLE_ERR` This error occurs when the operation cannot complete due to an unavailable schema.

### Constructor Summary

Constructors
Constructor and Description
`ExceptionVAL(short code, java.lang.String message)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### code

    public short code

#### NO_SCHEMA_AVAILABLE_ERR

    public static final short NO_SCHEMA_AVAILABLE_ERR

This error occurs when the operation cannot complete due to an unavailable schema. DOM Core needs to provide a definition, and we need to link it here.

See Also:
  Constant Field Values

### Constructor Detail

#### ExceptionVAL

    public ExceptionVAL(short code,
                        java.lang.String message)

Copyright ©2004 W3C® (MIT, ERCIM, Keio), All Rights Reserved. W3C liability, trademark, document use and software licensing rules apply. The latest version is at http://www.w3.org/TR/DOM-Level-3-Val